> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get display dimensions

> Get the display dimensions of the machine.



## OpenAPI

````yaml /openapi.json get /v1/computer/{machine_id}/display/dimensions
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/computer/{machine_id}/display/dimensions:
    get:
      tags:
        - computer
      summary: Get display dimensions
      description: Get the display dimensions of the machine.
      operationId: get_display_dimensions_v1_computer__machine_id__display_dimensions_get
      parameters:
        - name: machine_id
          in: path
          required: true
          schema:
            type: string
            title: Machine Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisplayDimensions'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DisplayDimensions:
      properties:
        width:
          type: integer
          title: Width
        height:
          type: integer
          title: Height
      type: object
      required:
        - width
        - height
      title: DisplayDimensions
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````